{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.eSet(ILjava/lang/Object;)V",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setNameExpression(Lorg/eclipse/uml2/uml/StringExpression;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getInPartitions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.setTarget(Lorg/eclipse/uml2/uml/ActivityNode;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getRedefinedEdges()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.setGuard(Lorg/eclipse/uml2/uml/ValueSpecification;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setName(Ljava/lang/String;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicSet(ILjava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.setActivity(Lorg/eclipse/uml2/uml/Activity;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.setInterrupts(Lorg/eclipse/uml2/uml/InterruptibleActivityRegion;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IIZZ)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.setIsLeaf(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setVisibility(Lorg/eclipse/uml2/uml/VisibilityKind;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.setSource(Lorg/eclipse/uml2/uml/ActivityNode;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.setInStructuredNode(Lorg/eclipse/uml2/uml/StructuredActivityNode;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.setWeight(Lorg/eclipse/uml2/uml/ValueSpecification;)V": 1
  }
}